<?PHP

class googlemap_Plugin{

	var $call_controller = array('googlemap');

	function googlemap($var){

		$this->googlemap->googleurl = $var[0];
		$this->googlemap->googlewidth = $var[1];
		$this->googlemap->googleheight = $var[2];
		$this->googlemap->googlelongitude = $var[3];
		$this->googlemap->googlelatitude = $var[4];
		if($var[5]){

			$this->googlemap->googlemarkers = $var[5];//json_encoded data
		}
		else{

			$this->googlemap->googlemarkers = json_encode(array(1 => array('longitude' => $this->googlemap->googlelongitude, 'latitude' => $this->googlemap->googlelatitude, 'map_link_id' => 1, 'zindex' => 1, 'data' => '')));
		}

		$this->googlemap->Page('googlemap');
	}

	//if u want show plugin settings in content model
	function showDialog(){

		$this->googlemap->Page('showdialog');
	}
}



?>